[Setup]
SetupLogging=false
AppName=App
AppVerName=App
DefaultDirName={pf}\App

#define RegistryBackup	'HKCU\Software\Ghisler\Total Commander|HKCU\Control Panel\Desktop,Wallpaper'	;   /  . : '[,]|. '.     .

[Registry]
Root: HKLM; Subkey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{3E4B349F-10B5-4586-9D99-489A90A8B228}; ValueType: string; ValueName: InstallLocation; ValueData: {app}; Flags: noerror; BeforeInstall: BackupReg('{3E4B349F-10B5-4586-9D99-489A90A8B228}')
;uninsdeletevalue -     

[Code]
var n: integer; CrLf: String;
Function StringToArray(Text: String): array of String; var t, i, k: Integer; Begin	{    }
  Repeat SetArrayLength(Result, GetArrayLength(Result) + 1); t:= 1; k:= Pos(#13#10, Text); if k > 0 then t:= 2 else k:= Pos(#10, Text); i:= GetArrayLength(Result) - 1;
	if k > 0 then begin Result[i]:= Copy(Text, 1, k - 1); Text:= Copy(Text, k + t, Length(Text)) end else begin Result[i]:= Text; SetLength(Text, 0) end;
  Until Length(Text) = 0
End;

//     
Procedure BackupReg(Subkey: String); var ResultCode: Integer; BackUpDirS: String;
Begin
	BackUpDirS := ExpandConstant('{pf}\InstallShield Installation Information\') + Subkey
	If not DirExists (BackUpDirS) then CreateDir(BackUpDirS);
	Exec(ExpandConstant('{win}\regedit.exe'), '-ea backup.reg "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\' + Subkey + '"', BackUpDirS, sw_HIDE, ewWaitUntilTerminated, ResultCode);
 End;

//	regedit.exe -ea backup.reg "HKEY_CURRENT_USER\Software\Ghisler\Total Commander"

//    
procedure RestoreReg(Subkey: String); var ResultCode: Integer; BackUpDirS: String;
begin
  BackUpDirS := ExpandConstant('{pf}\InstallShield Installation Information\') + Subkey
  If FileExists (BackUpDirS + '\backup.reg') then begin
    RegDeleteKeyIncludingSubkeys(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\'+Subkey)
    Exec(ExpandConstant('{win}\regedit.exe'), '/s backup.reg', BackUpDirS, sw_HIDE, ewWaitUntilTerminated, ResultCode);	// ResultCode: 0 -  ,     0.
    If ResultCode = 0 then
      DeleteFile(BackUpDirS + '\backup.reg');
    RemoveDir(BackUpDirS);
  End;
end;

//     
Procedure BackupRegistry(Values: String); var str: String; RegistryArray: array of String;
Begin
	CrLf:= #13#10;
	str:= Values; StringChange(str,'|',CrLf)
	RegistryArray:= StringToArray(str)
	for n:= 0 to GetArrayLength(RegistryArray) -1 do begin
	MsgBox(RegistryArray[n], mbError, MB_OK)
	end;
End;

Procedure CurStepChanged(CurStep: TSetupStep); Begin
	if CurStep = ssInstall then BackupRegistry('{#RegistryBackup}')
End;

#if SetupSetting("CreateAppDir") != "false"
// ---------   () ----------- //
Procedure CurUninstallStepChanged(CurUninstallStep: TUninstallStep);	var ResultCode: Integer; BackUpDirS: String;	Begin
  if CurUninstallStep = usPostUninstall then begin
    RestoreReg('{3E4B349F-10B5-4586-9D99-489A90A8B228}');
  end;
End;
#endif
