[Setup] 
AppName=My Program 
AppVerName=My Program v.1.2 
DefaultDirName={pf}\My Program 
 
[Files] 
Source: {app}\*; DestDir: {app}\backup; Flags: external skipifsourcedoesntexist uninsneveruninstall overwritereadonly; BeforeInstall: BeforeBackup 
Source: Files\*; DestDir: {app}; BeforeInstall: BeforeSetup 
 
[Code] 
procedure BeforeBackup(); 
begin 
  WizardForm.StatusLabel.Caption:= '  ...'; 
end; 
 
procedure BeforeSetup(); 
begin 
  WizardForm.StatusLabel.Caption:= ' ...'; 
end; 
 
procedure CurStepChanged(CurStep: TSetupStep); 
var 
  ini: string; 
begin 
  if CurStep = ssPostInstall then 
    begin 
      ini:= ExpandConstant('{app}\settings.ini'); 
      if FileExists(ini) then 
        begin 
          DeleteIniSection('OldSectName', ini); //    
          DeleteIniEntry('NewSectName', 'OldKeyName', ini);  //    
        end; 
    end; 
end;