[Setup]
AppName=AppName
AppVerName=AppVerName
CreateAppDir=false

[Files]
Source: compiler:WizModernSmallImage.bmp; DestDir: {tmp}; Flags: dontcopy
Source: compiler:WizModernSmallImage-IS.bmp; DestDir: {tmp}; Flags: dontcopy

[Code]
Var
  Page: TWizardPage;
  Text1,Text2,Text3,Text4: TNewStaticText;
  Panel: TPanel;
  ListBox: TListBox;
  Check1,Check2: TCheckBox;
  NoChecks,Label1,Label2: TLabel;
  Image: TBitmapImage;

Function Checked1: Boolean;
begin
  Result:=Check1.Checked
end;

Function Checked2: Boolean;
begin
  Result:=Check2.Checked
end;

Procedure Check1OnClick (Sender: TObject);
begin
  Check1.Checked:=Not(Check1.Checked)
end;

Procedure Check2OnClick (Sender: TObject);
begin
  Check2.Checked:=Not(Check2.Checked)
end;

procedure Check1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Text4.Enabled:=True
Text4.Caption:='  '
Image.Bitmap.LoadFromFile(ExpandConstant('{tmp}\WizModernSmallImage.bmp'))
Image.Visible:=True
end;

procedure Check2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Text4.Enabled:=True
Text4.Caption:='  '
Image.Bitmap.LoadFromFile(ExpandConstant('{tmp}\WizModernSmallImage-IS.bmp'))
Image.Visible:=True
end;

procedure NoChecksMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Text4.Enabled:=False
Text4.Caption:='     ,    .'
Image.Visible:=False
end;

Procedure InitializeWizard();
begin
  ExtractTemporaryFile('WizModernSmallImage.bmp')
  ExtractTemporaryFile('WizModernSmallImage-IS.bmp')

  Page:=CreateCustomPage(2, '  ', ' ,    .')

  Text1:=TNewStaticText.Create(Page)
  Text1.Left:=0
  Text1.Top:=0
  Text1.Width:=417
  Text1.Height:=28
  Text1.AutoSize:=False
  Text1.WordWrap:=True
  Text1.Caption:='  ,    .    ""  .'
  Text1.Parent:=Page.Surface

  Text2:=TNewStaticText.Create(Page)
  Text2.Left:=0
  Text2.Top:=63
  Text2.Width:=130
  Text2.Height:=42
  Text2.AutoSize:=False
  Text2.WordWrap:=True
  Text2.Caption:='    :'
  Text2.Parent:=Page.Surface

  Image:=TBitmapImage.Create(WizardForm)
  Image.Left:=0
  Image.Top:=Text2.Top + Text2.Height + 10;
  Image.Width:=55
  Image.Height:=55
  Image.Parent:=Page.Surface

  Panel:=TPanel.Create(Page)
  Panel.Left:=287
  Panel.Top:=60
  Panel.Width:=130
  Panel.Height:=160
  Panel.BevelInner:=bvLowered
  Panel.Parent:=Page.Surface

  Text3:=TNewStaticText.Create(Page)
  Text3.Left:=293
  Text3.Top:=54
  Text3.Font.Color:=clBlue
  Text3.Caption:=''
  Text3.Parent:=Page.Surface

  Text4:=TNewStaticText.Create(Page)
  Text4.Left:=4
  Text4.Top:=10
  Text4.Width:=122
  Text4.Height:=140
  Text4.AutoSize:=False
  Text4.WordWrap:=True
  Text4.Parent:=Panel

  NoChecks:=TLabel.Create(Page)
  NoChecks.Width:=WizardForm.Width
  NoChecks.Height:=WizardForm.Height
  NoChecks.Autosize:=False
  NoChecks.Transparent:=True
  NoChecks.OnMouseMove:=@NoChecksMouseMove
  NoChecks.Parent:=Page.Surface

  ListBox:=TListBox.Create(Page)
  ListBox.Left:=135
  ListBox.Top:=60
  ListBox.Width:=140
  ListBox.Height:=160
  ListBox.Parent:=Page.Surface

  Check1:=TCheckBox.Create(Page)
  Check1.Left:=2
  Check1.Top:=0
  Check1.Checked:=True
  Check1.Parent:=ListBox

  Check2:=TCheckBox.Create(Page)
  Check2.Left:=2
  Check2.Top:=16
  Check2.Checked:=True
  Check2.Parent:=ListBox

  Label1:=TLabel.Create(Page)
  Label1.Left:=16
  Label1.Top:=2
  Label1.Caption:=' 1'
  Label1.OnClick:=@Check1OnClick
  Label1.OnMouseMove:=@Check1MouseMove
  Label1.Parent:=Check1

  Label2:=TLabel.Create(Page)
  Label2.Left:=16
  Label2.Top:=2
  Label2.Caption:=' 2'
  Label2.OnClick:=@Check2OnClick
  Label2.OnMouseMove:=@Check2MouseMove
  Label2.Parent:=Check2
end;
