[Setup]
AppName=GetVideocardMemory
AppVerName=GetVideocardMemory
CreateAppDir=false
SetupLogging=false
UserInfoPage=true
DefaultUserInfoSerial=321

[Icons]
Name: {group}\Notepad; Filename: notepad.exe

[Code]
var
 CheckListBox: TNewCheckListBox;

procedure NoIconsOnClick(Sender: TObject);
begin
  with WizardForm, WizardForm.NoIconsCheck do
    begin
      GroupEdit.Enabled:= Not Checked;
      GroupBrowseButton.Enabled:= Not Checked;
      CheckListBox.Enabled:= Not Checked;
    end;
end;

function MyConst(Param: String): String;
begin
  if CheckListBox.Checked[1] then
    Result := ExpandConstant('{commonprograms}')+'\'+ WizardForm.GroupEdit.Text
  else
    Result := ExpandConstant('{userprograms}')+'\'+ WizardForm.GroupEdit.Text;
end;

procedure InitializeWizard();
begin
  WizardForm.NoIconsCheck.OnClick:= @NoIconsOnClick;
  CheckListBox := TNewCheckListBox.Create(WizardForm);
  CheckListBox.Top := WizardForm.GroupEdit.Top + WizardForm.GroupEdit.Height + ScaleY(10);
  CheckListBox.Width := WizardForm.GroupEdit.Width;
  CheckListBox.Height := ScaleY(66);
  CheckListBox.BorderStyle := bsNone;
  CheckListBox.ParentColor := True;
  CheckListBox.MinItemHeight := WizardForm.TasksList.MinItemHeight;
  CheckListBox.ShowLines := False;
  CheckListBox.WantTabs := True;
  CheckListBox.Parent := WizardForm.SelectProgramGroupPage;
  CheckListBox.AddGroup(' :', '', 0, nil);
  CheckListBox.AddRadioButton('  ', '', 0, True, True, nil);
  CheckListBox.AddRadioButton('   (' + GetUserNameString + ')', '', 0, False, True, nil);
end;

