[Setup]
AppName=GetDeviceInfo
AppVerName=GetDeviceInfo
DefaultDirName={code:GetInstallDir}

[Code]
Function GetInstallDir( AppID: String ): String; var dir: String;
begin
  if not RegQueryStringValue(HKLM, 'SOFTWARE\Company\ProgramNamePro', 'InstallLocation', dir) then
	RegQueryStringValue(HKLM, 'SOFTWARE\Company\ProgramNameLight', 'InstallLocation', dir);
   Result:= dir;
end;

function InitializeSetup(): Boolean;
begin
 Result:= True;
 if not RegKeyExists(HKLM, 'SOFTWARE\Company\ProgramNamePro') then
 begin
  if not RegKeyExists(HKLM, 'SOFTWARE\Company\ProgramNameLight') then
  begin
   MsgBox('  !', mberror, mb_ok);
   Result:=False;
   exit;
  end
 end
end;
