#define Background "Background1.jpg"

[Setup]
AppName=Image Stream
AppVerName=Image Stream
CreateAppDir=false
OutputDir=.
WindowVisible=true
WindowShowCaption=false
BackColor=$b29a46
BackColor2=$b4eff6

[Files]
Source: {#Background}; Flags: dontcopy noencryption
Source: compiler:ImgGdiplus.dll; Flags: dontcopy noencryption
Source: compiler:innocallback.dll; Flags: dontcopy noencryption

[Code]
type hDC = Longint;
	TSize = record cx: UINT; cy: UINT; end;
	TProc = function (h: hWnd; Msg, wParam, lParam: Longint): Longint;
const SRCCOPY = $CC0020;
var ImageStream: Longint; Size, ImageSize: TSize; WinDC: hDC; n: Integer;

function GetDC(Wnd: HWnd): hDC; external 'GetDC@user32.dll stdcall';
function ReleaseDC(Wnd: HWnd; DC: hDC): Longint; external 'ReleaseDC@user32.dll stdcall';
function LoadPicture(Sw: TSize; name: PChar): Longint; external '_LoadPicture@8@files:ImgGdiplus.dll stdcall delayload';
procedure StretchImg(LoadedImage, hDC: Longint; dstX, dstY, dstXE, dstYE, srcX, srcY, srcXE, srcYE: integer; dwROP: DWord); external '_StretchImg@44@files:ImgGdiplus.dll stdcall delayload';
procedure ReleaseImg(LoadedImage: Longint); external '_ReleaseImg@4@files:ImgGdiplus.dll stdcall delayload';

function SetWindowLong(hWnd: HWND; nIndex: Integer; dwNewLong: Longint): Longint; external 'SetWindowLongA@user32.dll stdcall';
function DefWindowProc(hWnd: HWND; Msg: UINT; wParam: Longint; lParam: Longint): Longint; external 'DefWindowProcA@user32.dll stdcall';
function CallBackProc(Proc: TProc; ParamCount: Integer): LongWord; external 'wrapcallback@files:innocallback.dll stdcall';
//	function CallWindowProc(lpPrevWndFunc: Longint; hWnd: HWND; Msg: UINT; wParam: Longint; lParam: Longint): Longint; external 'CallWindowProcA@user32.dll stdcall';

Function GetImgSize(File: String): TSize; var Mem: array[0..5] of Integer; Str: String; FS: TFileStream;
Begin
  Case Uppercase(ExtractFileExt(File)) of
  '.GIF':	begin
		Mem[4]:=$0706;	Mem[5]:=$0908; end;
  '.JPG','.JPEG':	begin
		Mem[4]:=$A5A6;	Mem[5]:=$A3A4; end;
  '.PNG':	begin
		Mem[4]:=$1213;	Mem[5]:=$1617; end;
  end;
	Mem[0]:= Mem[4] shr 8; Mem[1]:= Mem[4] and $FF;
	Mem[2]:= Mem[5] shr 8; Mem[3]:= Mem[5] and $FF;
  FS:= TFileStream.Create(File, fmOpenRead);
for n:= 0 to 3 do begin	Str:= Chr(0)
	FS.Seek(Mem[n], soFromBeginning)
	FS.ReadBuffer(Str, 1); Mem[n]:= Ord(Str[1])
end;
	FS.Free; Result.CX:= Mem[0] shl 8 + Mem[1]; Result.CY:= Mem[2] shl 8 + Mem[3]
End;

Function MainFrmProc(h: hWnd; Msg, wParam, lParam: Longint): Longint;
Begin
  if Msg= $F then begin
	ImageStream:= LoadPicture(SIZE,ExpandConstant('{tmp}\{#Background}'));
	WinDC:= GetDC(h);
	StretchImg(ImageStream, WinDC, 0, 0, SIZE.CX, SIZE.CY, 0, 0, ImageSize.CX, ImageSize.CY, SRCCOPY);
	ReleaseDC(h,WinDC);
	ReleaseImg(ImageStream);
  end;
	Result:= DefWindowProc(h, Msg, wParam, lParam);
End;

Procedure InitializeWizard;
Begin
	ExtractTemporaryFile('{#Background}');
	Size.CX:= MainForm.Width; Size.CY:= MainForm.Height;
	ImageSize:= GetImgSize(ExpandConstant('{tmp}\{#Background}'))

	ImageStream:= LoadPicture(Size, ExpandConstant('{tmp}\{#Background}'));
	WinDC:= GetDC(MainForm.Handle);
	StretchImg(ImageStream, WinDC, 0, 0, Size.CX, Size.CY, 0, 0, ImageSize.CX, ImageSize.CY, SRCCOPY);
	ReleaseDC(MainForm.Handle,WinDC);
	ReleaseImg(ImageStream);

//	SetWindowLong(MainForm.Handle, -21, SetWindowLong(MainForm.Handle,-4, CallBackProc(@MainFrmProc,4)));
End;


