#define MyAppVerName "My Program version"
#define MyAppExeName "MyProg.exe"
#define path "{app}\MyProg.exe"

[Setup]
AppName=My Program
AppVerName=My Program version
DefaultDirName={pf}\My Program

[Files]
Source: MyProg.exe; DestDir: {app}
Source: FirewallInstallHelper.dll; DestDir: {app}

[UninstallDelete]
Type: files; Name: {app}\FirewallInstallHelper.dll

[Code]
function AddApplicationToExceptionList(path: String; name: String): Boolean; external 'AddApplicationToExceptionListA@files:FirewallInstallHelper.dll stdcall setuponly';

function RemoveApplicationFromExceptionList(path: String): Boolean; external 'RemoveApplicationFromExceptionListA@{app}\FirewallInstallHelper.dll stdcall uninstallonly';

procedure CurStepChanged(CurStep: TSetupStep);
var
path, name: String;
begin

if CurStep = ssPostInstall then
begin
path:=ExpandConstant('{#path}');
name:=ExpandConstant('{#MyAppVerName}');

AddApplicationToExceptionList(path, name);
end;
end;

procedure CurUninstallStepChanged(CurUninstallStep: TUninstallStep);
var
path: String;
begin
if CurUninstallStep=usUninstall then
begin
path:=ExpandConstant('{#path}');
RemoveApplicationFromExceptionList(path)
UnloadDll(ExpandConstant('{app}\FirewallInstallHelper.dll'));
end;
end;
