[Setup]
AppName=Gradient
AppVerName=Gradient
CreateAppDir=false

[Files]
Source: compiler:Default.isl; DestDir: {app}; Check: english
Source: compiler:Languages\Russian.isl; DestDir: {app}; Check: russian

[Languages]
Name: russian; MessagesFile: compiler:Languages\Russian.isl
Name: english; MessagesFile: compiler:Default.isl

[Tasks]
Name: Test; Description: Lang

[Code]
var
  LangEdit: TComboBox;

function russian: Boolean;
begin
  Result:=LangEdit.ItemIndex = 0
end;

function english: Boolean;
begin
  Result:=LangEdit.ItemIndex = 1
end;

procedure InitializeWizard();
begin
  LangEdit:=TComboBox.Create(WizardForm)
  LangEdit.SetBounds(0,100,150,21)
  LangEdit.Parent:=WizardForm.SelectTasksPage
  LangEdit.Items.add('')
  LangEdit.Items.add('English')
  LangEdit.ItemIndex:=0
end;
