[Setup]
AppName=AppName
AppVerName=AppVerName
DefaultDirName={pf}\My Program

[Files]
Source: files\*; DestDir: {app}; AfterInstall: ExtLog(); Flags: recursesubdirs

[Code]
var
  ProgressLabel: TLabel;

procedure ExtLog();
begin
  with WizardForm.ProgressGauge do begin
    ProgressLabel.Caption:=IntToStr((Position-Min)/((Max - Min)/100)) + '%'
    if (Position-Min)/((Max - Min)/100) > 50 then ProgressLabel.Font.Color:= clWhite
  end
end;

procedure InitializeWizard;
begin
  ProgressLabel:=TLabel.Create(WizardForm)
    ProgressLabel.Top:= 4
    ProgressLabel.Left:= 200
    ProgressLabel.Caption:= '0%'
    ProgressLabel.AutoSize:= True
    ProgressLabel.Font.Color:= clBlue
    ProgressLabel.Font.Style:= [fsBold]
    ProgressLabel.Transparent:= True
    ProgressLabel.Parent:= WizardForm.ProgressGauge
end;
