[Setup]
AppName=AppName
AppVerName=AppVerName
DefaultDirName={pf}\My Program

[Files]
Source: report.xml; Flags: dontcopy

[Code]
Function InitializeSetup: Boolean;
var
  xml, currNode, rootNode, subNode, xmlParser, Fragment: Variant;
begin
  ExtractTemporaryFile('report.xml');

  xml:= CreateOleObject('MSXML2.DOMDocument');
  xml.async:= false;
  xml.preserveWhiteSpace:= true;
  xml.load(ExpandConstant('{tmp}\report.xml'));

  currNode:= xml.selectSingleNode('//SMBIOS/section[(@name=''Mainboard'')]')
  MsgBox(currNode.text, mbInformation, MB_OK);

//	----------------------------------------------
  xmlParser:= CreateOleObject('MSXML2.DOMDocument');

//'  XML
  xmlParser.appendChild(xmlParser.createProcessingInstruction('xml', 'version="1.0" encoding="windows-1251"'));

//' 
  xmlParser.appendChild(xmlParser.createComment(' '));

//'  
  rootNode:= xmlParser.appendChild(xmlParser.createElement('ROOT'));

//'   
  subNode:= rootNode.appendChild(xmlParser.createElement('SUB'));
  subNode.text:= '   ';

//'   
  subNode:= rootNode.appendChild(xmlParser.createElement('SUB'));

//'  CDATA
  subNode.appendChild(xmlParser.createCDATASection('<<< >>> &&&   '));

//'   
  subNode.appendChild(xmlParser.createEntityReference('amp'));

//'  
  subNode.appendChild(xmlParser.createTextNode('   '));

//'       
  subNode:= rootNode.appendChild(xmlParser.createNode(1, 'html:H1', 'http://www.w3c.org/TR/REC-html40/'));
  subNode.text:= ' HTML';

//'        
  Fragment:= xmlParser.createDocumentFragment;
  Fragment.appendChild(xmlParser.createElement('SUB'));
  Fragment.appendChild(xmlParser.createElement('SUB'));
  rootNode.appendChild(Fragment);

  xmlParser.save('C:\Test.xml')
End;

