[Setup]
AppName=Call of Duty + United Offensive
AppVerName=Call of Duty + United Offensive
DefaultDirName={sd}\Games\Call of Duty UO
DefaultGroupName=Call of Duty UO
OutputDir=D:\COD
OutputBaseFilename=setup
Compression=zip
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=730000000
AllowNoIcons=yes
UninstallLogMode=overwrite
                                         
[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Call of Duty UO\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Call of Duty"; Filename: "{app}\CoDSP.exe"; WorkingDir: "{app}"
Name: "{group}\  Call of Duty UO"; Filename: "{app}\CoDUOSP.exe"; WorkingDir: "{app}"
Name: "{group}\ "; Filename: "{app}\CD-KEYS.txt"; WorkingDir: "{app}"
Name: "{group}\ Call of Duty UO"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Call of Duty"; Filename: "{app}\CoDSP.exe"; Tasks: desktopicon; WorkingDir: "{app}"
Name: "{userdesktop}\Call of Duty UO"; Filename: "{app}\CoDUOSP.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\Activision"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; Flags: createvalueifdoesntexist uninsdeletekey

Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "codkey"; ValueData: "2XX8G3DYSX2343TX7246"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "Language"; ValueData: "RU"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "pb"; ValueData: "1"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "StartMenuFolder"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "Version"; ValueData: "1.5"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "Run"; ValueData: "{app}\CoDSP.exe"
Root: HKLM; Subkey: "Software\Activision\Call of Duty"; ValueType: string; ValueName: "Uninstall"; ValueData: "{uninstallexe}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "key"; ValueData: "RZBNKBRU7WH4X3371D7A"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "Language"; ValueData: "134"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "StartMenuFolder"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "Version"; ValueData: "1.51"
Root: HKLM; Subkey: "Software\Activision\Call of Duty United Offensive"; ValueType: string; ValueName: "Run"; ValueData: "{app}\CoDUOSP.exe"
