[Setup]
AppName=Dark Messiah of Might and Magic
AppVerName=Dark Messiah of Might and Magic v1.02
DefaultDirName={sd}\Games\Dark Messiah
DefaultGroupName=Dark Messiah
OutputDir=D:\DM
OutputBaseFilename=setup
AllowNoIcons=yes
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "rus"; Description: " "; Types: rus
Name: "eng"; Description: " "; Types: eng

[Types]
Name: "rus"; Description: "   (+  )";
Name: "eng"; Description: "  ";

[Files]
Source: "D:\DarkMessiah\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Dark Messiah"; Filename: "{app}\mm.exe"; WorkingDir: "{app}";
Name: "{group}\ Dark Messiah"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Dark Messiah"; Filename: "{app}\mm.exe"; Tasks: desktopicon; WorkingDir: "{app}";

[Registry]
Root: HKLM; Subkey: "Software\Dark Messiah"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Dark Messiah"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

Root: HKCU; SubKey: Software\UBISOFT; Flags: uninsdeletekeyifempty
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; Flags: uninsdeletekey
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: string; ValueName: DoNotForcePCMP; ValueData: 42
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: dword; ValueName: usertoken06; ValueData: $000011e7
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: dword; ValueName: usertoken04; ValueData: $00000000
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: dword; ValueName: usertoken03; ValueData: $00002b92
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: dword; ValueName: usertoken02; ValueData: $0001597d
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: dword; ValueName: usertoken01; ValueData: $00000045
Root: HKCU; SubKey: Software\UBISOFT\Dark Messiah of Might and Magic; ValueType: string; ValueName: mm_gamma_already_set; ValueData: 1

Root: HKLM; SubKey: SOFTWARE\Ubisoft; Flags: uninsdeletekeyifempty
Root: HKLM; SubKey: SOFTWARE\Ubisoft\Dark Messiah of Might and Magic; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Ubisoft\Dark Messiah of Might and Magic; ValueType: string; ValueName: Install Location; ValueData: "{app}"
Root: HKLM; SubKey: SOFTWARE\Ubisoft\Dark Messiah of Might and Magic; ValueType: string; ValueName: regparams; ValueData: " -l english -i 2897 -c us -p \""{app}\bin.bin\"""

Root: HKCU; Subkey: "Software\Valve\Steam"; ValueName: "Language"; ValueType: String; ValueData: "russian"; Components: rus;
Root: HKCU; Subkey: "Software\Valve\Steam"; ValueName: "Language"; ValueType: String; ValueData: "english"; Components: eng;

Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: LogMode; ValueData: $00000001
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: MinorVersion; ValueData: $00000000
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: MajorVersion; ValueData: $00000001
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: Version; ValueData: $01000000
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: DisplayVersion; ValueData: 1.0
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: Language; ValueData: $00000009
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: InstallDate; ValueData: 20061025
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: NoRepair; ValueData: $00000001
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: NoRemove; ValueData: $00000000
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: dword; ValueName: NoModify; ValueData: $00000001
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: DisplayIcon; ValueData: {app}\skull.ico
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: RegOwner; ValueData: Grebus
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: Readme; ValueData: {app}\Readme.txt
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: URLInfoAbout; ValueData: http://www.ubisoft.com
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: Publisher; ValueData: Ubisoft
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: DisplayName; ValueData: "Dark Messiah "
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: InstallSource; ValueData: {src}
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: ProductGuid; ValueData: {{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: InstallLocation; ValueData: {app}
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: LogFile; ValueData: {app}\unins000.dat
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{{A8E2EF8F-73EF-4DD8-BB38-31FCCAF50103}; ValueType: string; ValueName: UninstallString; ValueData: {uninstallexe}

[Run]
Components: rus; Filename: "{src}\Rus\mm_russian.exe"; WorkingDir: "{src}\Rus"; Parameters: "-y -o""{app}"""; StatusMsg: " ..."; Flags: waituntilterminated
Filename: "{src}\Redist\WM9Codecs.exe"; WorkingDir: "{src}\Redist"; Parameters: "/Q"; StatusMsg: " ..."; Flags: waituntilterminated
Filename: "{src}\Redist\wmfdist.exe"; WorkingDir: "{src}\Redist"; Parameters: "/Q"; StatusMsg: " ..."; Flags: waituntilterminated


[UninstallDelete]
Type: filesandordirs; Name: "{app}\mm_russian"

