[Setup]
AppName=Need for Speed - Most Wanted
AppVerName=Need for Speed - Most Wanted v1.3
DefaultDirName={sd}\Games\NFS - Most Wanted
DefaultGroupName=NFS - Most Wanted
OutputDir=D:\NFS
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
AppCopyright=(C) 2005 Electronic Arts Inc. All rights reserved.
VersionInfoCompany=EA GAMES(tm)
VersionInfoDescription= NFS - Most Wanted
VersionInfoVersion=1.3.0.0
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "eng"; Description: " ";  Flags: exclusive
Name: "rus"; Description: " ";  Flags: exclusive

[Types]
Name: "custom"; Description: " "; Flags: iscustom

[Files]
Source: "D:\NFS - Most Wanted\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Components: rus; Source: "{src}\Rus\NFSMWRUS.exe"; DestDir: "{app}"; Flags: ignoreversion external deleteafterinstall nocompression

[Icons]
Name: "{group}\  NFS - Most Wanted"; Filename: "{app}\speed.exe"; WorkingDir: "{app}"
Name: "{group}\ NFS - Most Wanted"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\NFS - Most Wanted"; Filename: "{app}\speed.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\Electronic Arts\EA Games"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Electronic Arts\EA Games\Need for Speed Most Wanted"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Electronic Arts\EA Games\Need for Speed Most Wanted\ergc"; ValueType: string; ValueName: ""; ValueData: "29PFLW721AI9K4A3ODEV"

Root: HKLM; Subkey: "Software\NFS Most Wanted"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\NFS Most Wanted"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

Root: HKLM; Subkey: "Software\EA GAMES"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "CacheSize"; ValueData: "3044530176"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "CD Drive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "DisplayName"; ValueData: "Need for Speed Most Wanted"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Folder"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Install Dir"; ValueData: "{app}"

Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Installed From"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Language"; ValueData: "English US"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Locale"; ValueData: "en_us"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Patch URL"; ValueData: "http://patches.ea.com/nfs_mostwanted/home.html"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Product GUID"; ValueData: "{{ADE91A13-434D-4229-00BC-182BAD607303}"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Region"; ValueData: "NA"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Registration"; ValueData: "SOFTWARE\Electronic Arts\EA GAMES\Need for Speed Most Wanted\ergc"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "Suppression Exe"; ValueData: ""
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "SwapSize"; ValueData: "73400320"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted\1.0"; ValueType: string; ValueName: "DisplayName"; ValueData: "Need for Speed Most Wanted"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted\1.0"; ValueType: dword; ValueName: "Language"; ValueData: "$1"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted\1.0"; ValueType: string; ValueName: "LanguageName"; ValueData: "English US"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "MainExe"; ValueData: "{app}\speed.exe"
Root: HKLM; Subkey: "Software\EA GAMES\Need for Speed Most Wanted"; ValueType: string; ValueName: "UninstallString"; ValueData: "{uninstallexe}"

[Run]
Filename: "{app}\NFSMWRUS.exe"; WorkingDir: "{app}"; Parameters: "-y"; StatusMsg: " ..."; Flags: waituntilterminated skipifdoesntexist

