[Setup]
AppName=Painkiller BOOH
AppVerName=Painkiller BOOH v1.64
DefaultDirName={sd}\Games\Painkiller BOOH
DefaultGroupName=Painkiller BOOH
OutputDir=D:\Pain
OutputBaseFilename=setup
AllowNoIcons=yes
Compression=zip
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AppCopyright=(c) People Can Fly. All rights reserved.
VersionInfoCompany=People Can Fly
VersionInfoDescription= Painkiller BOOH
VersionInfoVersion=1.64.0.0
UninstallLogMode=overwrite

[Registry]
Root: HKLM; Subkey: "Software\PeopleCanFly"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "SingleB"; ValueData: "$0"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "ServerMode"; ValueData: "$0"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "RagdollData3"; ValueData: "$feb599e"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "RagdollData2"; ValueData: "$eac1ec6"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "RagdollData1"; ValueData: "$6057aba"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "RagdollData0"; ValueData: "$5b97aadd"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "PlayerName"; ValueData: "DefaultPlayer"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "PatchVersion"; ValueData: "$234"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "MultiB2"; ValueData: "$0"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "MultiB"; ValueData: "$0"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "LastPort"; ValueData: "$0"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "LastPassword"; ValueData: ""
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "LastMap"; ValueData: ""
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "LastHostName"; ValueData: ""
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "IsPublic"; ValueData: "$1"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: dword; ValueName: "FragsLimit"; ValueData: "$14"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "AddonPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\PeopleCanFly\Painkiller"; ValueType: expandsz; ValueName: "EXEpath"; ValueData: "{app}\Bin\PAINKILLER.EXE"

Root: HKLM; Subkey: "Software\Painkiller"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Painkiller"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Painkiller BOOH\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\ "; Filename: "{app}\Docs\CD-KEY.txt"; WorkingDir: "{app}\Docs"
Name: "{group}\  Painkiller BOOH"; Filename: "{app}\Bin\PAINKILLER.EXE"; WorkingDir: "{app}\Bin"
Name: "{group}\ Painkiller BOOH"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Painkiller BOOH"; Filename: "{app}\Bin\PAINKILLER.EXE"; Tasks: desktopicon; WorkingDir: "{app}\Bin"
