[Setup]
AppName=. 
AppVerName=.  v1.1
DefaultDirName={sd}\Games\Mor_Utopia
DefaultGroupName=Mor_Utopia
OutputDir=D:\Mor
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=no
AppCopyright=(c) Ice-peak Lodge. All rights reserved.
VersionInfoCompany=Ice-pick Lodge
VersionInfoDescription= . 
VersionInfoVersion=1.1.0.0
WizardImageFile=C:\WizardImage.bmp
WizardSmallImageFile=C:\WizardSmallImage.bmp
UninstallDisplayIcon={app}\bin\Final\Config.exe
UninstallLogMode=overwrite

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Icons]
Name: "{group}\  . "; Filename: "{app}\bin\Final\Game.exe"; WorkingDir: "{app}\bin\Final"
Name: "{group}\"; Filename: "{app}\bin\Final\Config.exe"; WorkingDir: "{app}\bin\Final"
Name: "{group}\ Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"
Name: "{group}\"; Filename: "{app}\manual.pdf"; WorkingDir: "{app}"
Name: "{group}\ . "; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\. "; Filename: "{app}\bin\Final\Game.exe"; Tasks: desktopicon; WorkingDir: "{app}\bin\Final"

[Files]
Source: "D:\Mor_Utopia\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs


[Registry]
Root: HKLM; Subkey: "Software\Ice-pick Lodge"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueType: String; ValueData: "{app}\bin\Final\Game.exe";
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueName: "FirstRun"; ValueType: dword; ValueData: "$1";
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueName: "InstallPath"; ValueType: string; ValueData: "{app}";
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueName: "PathToEXE"; ValueType: string; ValueData: "{app}\bin\Final";
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueName: "MainEXE"; ValueType: string; ValueData: "{app}\bin\Final\Game.exe";
Root: HKLM; Subkey: "Software\Ice-pick Lodge\Mor. Utopia"; ValueName: "Uninstall"; ValueType: string; ValueData: "{uninstallexe}";

[Run]
Filename: "{src}\Redist\wmpcdcs8.exe"; WorkingDir: "{src}\Redist"; Parameters: "/q ""/T:{app}\tmp"""; StatusMsg: " ..."; Flags: waituntilterminated
Filename: "{src}\Redist\OpenAL\OpenALwEAX.exe"; WorkingDir: "{src}\Redist\OpenAL"; Parameters: "/silent"; StatusMsg: " ..."; Flags: waituntilterminated



