[Setup]
AppName=Unreal 2
AppVerName=Unreal 2 - The Awakening
DefaultDirName={sd}\Unreal 2
DefaultGroupName=Unreal 2
OutputDir=D:\GAME
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "eng"; Description: " ";  Flags: exclusive
Name: "rus"; Description: " ";  Flags: exclusive

[Types]
Name: "custom"; Description: " "; Flags: iscustom

[Files]
Source: "D:\Unreal 2\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Unreal 2"; Filename: "{app}\system\Unreal2.exe"; WorkingDir: "{app}\system"
Name: "{group}\ Unreal 2"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Unreal 2"; Filename: "{app}\system\Unreal2.exe"; Tasks: desktopicon; WorkingDir: "{app}\system"

[Registry]
Root: HKLM; Subkey: "Software\Unreal 2"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Unreal 2"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Components: rus; Filename: "{src}\Rus\TEXT.exe"; WorkingDir: "{src}\Rus"; Parameters: "-y -o""{app}"""; StatusMsg: " ..."; Flags: waituntilterminated
Components: rus; Filename: "{src}\Rus\SOUND.exe"; WorkingDir: "{src}\Rus"; Parameters: "-y -o""{app}"""; StatusMsg: " c ..."; Flags: waituntilterminated

