[Setup]
AppName=My Program
AppVerName=My Program version 1.5
DefaultDirName={pf}\My Program

[Files]
Source: compiler:Examples\MyProg.exe; DestDir: {app}
Source: compiler:Examples\MyDll.dll; DestDir: {app}
Source: compiler:Examples\MyProg.chm; DestDir: {app}; AfterInstall: CopyDataFiles()

[Code]
var
  MaxSlice, CurrentSlice: integer;

function GetMaxSlice(): integer;
var
  FS: TFileStream;
  str: string;
begin
  str:= StringOfChar(' ', 1);
  FS := TFileStream.Create(ExpandConstant('{app}\MyProg.exe'), fmOpenRead);
  try
    FS.Seek(4,soFromBeginning);
    FS.ReadBuffer(str, 1);
    Result:=Ord(str[1]);
  finally
    FS.Free;
  end;
end;

procedure CopyDataFiles();
var
  CurrentFile: string;
begin
  MaxSlice:= GetMaxSlice();
  CurrentSlice:= 1;
  while CurrentSlice <= MaxSlice do
    begin
      CurrentFile:= Format('DATA.%.3d', [CurrentSlice]);
      WizardForm.FilenameLabel.Caption:= CurrentFile;
      if FileCopy(ExpandConstant('{src}\' + CurrentFile), ExpandConstant('{app}\' + CurrentFile), False) then
        CurrentSlice:= CurrentSlice+1
      else
      if MsgBox('  ' + IntToStr(CurrentSlice) + '      ', mbInformation, MB_RETRYCANCEL) = IDCANCEL then
        if ExitSetupMsgBox then
          begin
            WizardForm.CancelButton.OnClick(WizardForm.CancelButton);
            Break;
          end;
    end;
end;

procedure CancelButtonClick(CurPageID: Integer; var Cancel, Confirm: Boolean);
begin
  if CurPageID = wpInstalling then
    Confirm:= False;
end;
