[Setup]
AppName=My program
AppVerName=My program 1.5
DefaultDirName={pf}\My program
DisableDirPage=false
;DisableDirPage=true

[Languages]
Name: rus; MessagesFile: compiler:Languages\Russian.isl

[Components]
Name: WB; Description: ' ' - ; ExtraDiskSpaceRequired: 1048576

[Code]
function OnShouldSkipPage(Sender: TWizardPage): Boolean;
begin
	if WizardForm.ComponentsList.Items.Count > 0 then WizardForm.Tag:= 1; //      
end;

Procedure CurPageChanged(CurPageID: Integer);
Begin
  Case CurPageID of
  wpSelectDir: if WizardForm.Tag = 1 then
	begin
		WizardForm.SelectDirPage.Notebook.ActivePage:= WizardForm.SelectComponentsPage;
		WizardForm.PageNameLabel.Caption:= SetupMessage(msgWizardSelectComponents)
		WizardForm.Hint:= WizardForm.PageDescriptionLabel.Caption; //  SetupMessage(msgSelectDirDesc)
		WizardForm.PageDescriptionLabel.Caption:= SetupMessage(msgSelectComponentsDesc)
	end;
  wpSelectComponents: if WizardForm.Tag = 1 then
    begin
		WizardForm.SelectComponentsPage.Notebook.ActivePage:= WizardForm.SelectDirPage;
		WizardForm.DiskSpaceLabel.Caption:= WizardForm.ComponentsDiskSpaceLabel.Caption;
		WizardForm.PageNameLabel.Caption:= SetupMessage(msgWizardSelectDir)
		WizardForm.PageDescriptionLabel.Caption:= WizardForm.Hint //     [name]
    end;
  end;
End;

Procedure InitializeWizard;
Begin
	PageFromID(wpSelectDir).OnShouldSkipPage:= @OnShouldSkipPage
End;
