[Setup]
AppName=CheckFile
AppVerName=CheckFile
DefaultDirName={pf}\CheckFile
OutputDir=.
DirExistsWarning=no

[Code]
type
    BLENDFUNCTION = record
        BlendOp : BYTE;
        BlendFlags : BYTE;
        SourceConstantAlpha : BYTE;
        AlphaFormat : BYTE;
    end;

function StretchBlt(DestDC: LongInt; X, Y, Width, Height: Integer; SrcDC: LongInt; XSrc, YSrc, SrcWidth, SrcHeight: Integer; Rop: DWORD): Boolean; external 'StretchBlt@gdi32.dll stdcall';
function BitBlt(DestDC: LongInt; X, Y, Width, Height: Integer; SrcDC: LongInt; XSrc, YSrc: Integer; Rop: DWORD): Boolean; external 'BitBlt@gdi32.dll stdcall';
function AlphaBlend(DestDC: LongInt; X, Y, Width, Height: Integer; SrcDC: LongInt; XSrc, YSrc, SrcWidth, SrcHeight: Integer; BLENDFUNCTION: blendFunction): Boolean; external 'AlphaBlend@msimg32.dll stdcall';

//    ...
procedure InitializeWizard;
var
    BlendFunc : BlendFunction;
begin
    WizardForm.OuterNotebook.Hide
    WizardForm.InnerNotebook.Hide

    if not BitBlt(BackgroundImage.Bitmap.Canvas.Handle, 100, 0, 100, 100, Image2.Bitmap.Canvas.Handle, 0, 0, SRCCOPY) then
        MsgBox( 'Error occured (BitBlt)', mbInformation, mb_Ok );

    BlendFunc.BlendOp := AC_SRC_OVER;
    BlendFunc.BlendFlags := 0;
    BlendFunc.SourceConstantAlpha := 128;
    BlendFunc.AlphaFormat := 0;

    if not AlphaBlend(BackgroundImage.Bitmap.Canvas.Handle, 0, 0, 100, 100, Image2.Bitmap.Canvas.Handle, 0, 0, 100, 100, BlendFunc) then
        MsgBox( 'Error occured (AlphaBlend)', mbInformation, mb_Ok );
end;


