[Setup]
AppName=BrowseFile
AppVerName=BrowseFile
DefaultDirName=BrowseFile

[Tasks]
Name: askini; Description: Choose a custom INI file; GroupDescription: Configuration:

[Code]
type
  TOpenFileName = record
    lStructSize: Longint;
    hwndOwner: Longint;
    hInstance: Longint;
    lpstrFilter: PChar;
    lpstrCustomFilter: PChar;
    nMaxCustFilter: Longint;
    nFilterIndex: Longint;
    lpstrFile: PChar;
    nMaxFile: Longint;
    lpstrFileTitle: PChar;
    nMaxFileTitle: Longint;
    lpstrInitialDir: PChar;
    lpstrTitle: PChar;
    Flags: Longint;
    nFileOffset: Word;
    nFileExtension: Word;
    lpstrDefExt: PChar;
    lCustData: Longint;
    lpfnHook: Longint;
    lpTemplateName: PChar;
  end;

function GetOpenFileName(var lpofn: TOpenFileName): Boolean; external 'GetOpenFileNameA@comdlg32.dll';

Const OFN_HIDEREADONLY = $4;


function NextButtonClick(CurPage: Integer): Boolean;
var
  F: TOpenFileName;
  S: String; z : char;
  hwnd: Longint;
begin

  // by default go to next page
  Result := true;

  z := Chr(0);
  hwnd := StrToInt(ExpandConstant('{wizardhwnd}'));

  // if curpage is wpSelectTasks
  if CurPage = wpSelectTasks then
  begin

      // set defailt file
      S := 'config.ini';
      // get enough space
      SetLength(S, 512);
      // set wizard HWND as owner
      F.hwndOwner := hwnd;
      // set structure size
      F.lStructSize := 76;
      // set S buffer for filename
      F.lpstrFile := S;
      F.nMaxFile := Length(S);
      // set dialog title
      F.lpstrTitle := 'Choose configuration file';
      // set filters
      F.lpstrFilter := 'INI files (*.ini)' + z + '*.ini' + z + 'All files (*.*)' + z + '*.*' + z + z;
      // set flags
      F.Flags := OFN_HIDEREADONLY;
      // set initial dir as system
      F.lpstrInitialDir := ExpandConstant('{sys}');

      if GetOpenFileName(F) then begin
//  	     MsgBox( 'File choosed:'+ #13 + #13 + S, 0, 0);
  	     Result := true;
      end
  end;
end;
