[Setup]
AppName=BrowseFile
AppVerName=BrowseFile
CreateAppDir=false

[Code]
type
  TOpenFileName = record
    lStructSize: Longint;
    hwndOwner: Longint;
    hInstance: Longint;
    lpstrFilter: PChar;
    lpstrCustomFilter: PChar;
    nMaxCustFilter: Longint;
    nFilterIndex: Longint;
    lpstrFile: PChar;
    nMaxFile: Longint;
    lpstrFileTitle: PChar;
    nMaxFileTitle: Longint;
    lpstrInitialDir: PChar;
    lpstrTitle: PChar;
    Flags: Longint;
    nFileOffset: Word;
    nFileExtension: Word;
    lpstrDefExt: PChar;
    lCustData: Longint;
    lpfnHook: Longint;
    lpTemplateName: PChar;
  end;

function GetOpenFileName(var lpofn: TOpenFileName): Boolean; external 'GetOpenFileNameA@comdlg32.dll';

procedure InitializeWizard();
var
  F: TOpenFileName;
  lpstrFile, lpstrFilter, lpstrTitle, lpstrInitialDir: String;

begin
  F.hwndOwner := StrToInt(ExpandConstant('{wizardhwnd}'));

  lpstrFile := 'config.ini';
  F.lpstrFile := lpstrFile;

  F.lStructSize := 76;
  SetLength(lpstrFile, 512);
  F.nMaxFile := Length(lpstrFile);

  lpstrFilter := 'INI Files (*.ini)' + #0 + '*.ini' + #0 + 'All Files (*.*)' + #0 + '*.*' + #0;
  F.lpstrFilter := lpstrFilter;

  lpstrTitle := ' ';
  F.lpstrTitle := lpstrTitle;

  lpstrInitialDir := ExpandConstant('{src}');
  F.lpstrInitialDir := lpstrInitialDir;

  F.Flags := $80204;

 if GetOpenFileName(F) then
    MsgBox(' : '+ #13 + #13 + lpstrFile, mbInformation, mb_Ok);
end;
