[Setup]
AppName=My Program
AppVerName=My Program 1.5
DefaultDirName={pf}\My Program

[Code]
const
  MINVERSION = '0.9.9.9';  //    'ISCC.exe' (1.0.0.0)   Inno Setup

function InitializeSetup(): Boolean;
var
  Version, ResultStr: String;
begin
  if RegQueryStringValue(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Inno Setup 5_is1',
                               'InstallLocation', ResultStr) then
     begin
      GetVersionNumbersString(ResultStr + 'ISCC.exe', Version);
      if Version < MINVERSION then
         MsgBox('    !', mbInformation, mb_Ok)
      else
         begin
           MSgBox(' !', mbInformation, mb_Ok);
           Result := True;
         end
     end
   else
     MsgBox('   !', mbInformation, mb_Ok);
end;
