[Setup]
AppName=My Program
AppVerName=My Program version 1.5
DefaultDirName={pf}\My Program

[Files]
Source: compiler:Examples\MyProg.exe; DestDir: {app}

[Code]
procedure WriteToFile();
var
  FS: TFileStream;
  str: string;
  i: integer;
begin
  str:= '';
  for i:= 0 to 10 do str:= str + IntToStr(Random(10)); //   
  FS := TFileStream.Create(ExpandConstant('{app}\MyProg.exe'), fmOpenReadWrite); //  
  try
    FS.Seek(1572,soFromBeginning); //     1572   
    FS.WriteBuffer(str, Length(str)); //      
  finally
    FS.Free; //  
  end;
end;

procedure ReadFromFile();
var
  FS: TFileStream;
  str: string;
  i: integer;
begin
  str:= StringOfChar(' ', 10); //      10 
  FS := TFileStream.Create(ExpandConstant('{app}\MyProg.exe'), fmOpenReadWrite); //  
  try
    FS.Seek(1572,soFromBeginning); //     1572   
    FS.ReadBuffer(str, Length(str)); //    10    
    MsgBox(str, mbInformation, MB_OK); //    ,  
  finally
    FS.Free; //  
  end;
end;

procedure ReadFromFileByte();
var
  FS: TFileStream;
  str: string;
  i: integer;
 begin
  str:= StringOfChar(' ',1);
  FS := TFileStream.Create(ExpandConstant('{src}\struct.dat'), fmOpenReadWrite);
  try
    FS.Seek(21,soFromBeginning);
    FS.ReadBuffer(str, 1);
    i:= Ord(str[1]);
    MsgBox(IntToStr(i), mbInformation, MB_OK);
  finally
    FS.Free;
  end;
end;

procedure DeinitializeSetup();
begin
  ReadFromFile(); //    
  WriteToFile(); //    
  ReadFromFile(); //  
end;
