[Setup]
AppName=Sample
AppVerName=Sample
CreateAppDir=false

[Code]
var ScreenSaver: String;

procedure ScreenSaverOff;
begin
//	ScreenSaver:= '';
	if RegQueryStringValue(HKEY_CURRENT_USER, 'Control Panel\Desktop', 'SCRNSAVE.EXE', ScreenSaver)
	then
		RegDeleteValue(HKEY_CURRENT_USER, 'Control Panel\Desktop', 'SCRNSAVE.EXE');
end;


procedure ScreenSaverOn;
begin
	if ScreenSaver <> '' then RegWriteStringValue(HKEY_CURRENT_USER, 'Control Panel\Desktop', 'SCRNSAVE.EXE', ScreenSaver);
end;

function InitializeSetup(): Boolean;
begin
	ScreenSaverOff;
end;

procedure DeinitializeSetup ();
begin
	ScreenSaverOn;
end;
