[Setup]
AppName=My program
AppVerName=My program
DefaultDirName={pf}\My program
DefaultGroupName=My program

[Components]
Name: Main; Description: Choose program:; ExtraDiskSpaceRequired: 65535000

[Files]
Source: compiler:\Default.isl; DestDir: {app}

[Code]
var
  StaticText: TNewStaticText;

procedure InitializeWizard;
begin
  StaticText := TNewStaticText.Create(WizardForm);
  with StaticText do begin
    Top := WizardForm.GroupEdit.Top + WizardForm.GroupEdit.Height + ScaleY(20);
    Left := ScaleX(0);
    AutoSize := True;
    Font.Color:= clBlue;
    Parent := WizardForm.SelectDirPage;
    Caption := 'Only English version';
  end;
end;

procedure CurPageChanged(CurPageID: Integer);
begin
  with WizardForm do begin
    case CurPageID of
      wpSelectDir: begin
        SelectDirPage.Notebook.ActivePage:= SelectComponentsPage;
        PageNameLabel.Caption:='SelectComponentsPage';
        PageDescriptionLabel.Caption:='SelectComponentsPage';
      end;
      wpSelectComponents: begin
        SelectComponentsPage.Notebook.ActivePage:= SelectDirPage;
        StaticText.Visible:= IsComponentSelected('Main');
        PageNameLabel.Caption:='SelectDirPage';
        PageDescriptionLabel.Caption:='SelectDirPage';
      end;
    end;
    DiskSpaceLabel.Caption:= ComponentsDiskSpaceLabel.Caption;
  end;
end;
