[Setup]
AppName=Call of Duty 2
AppVerName=Call of Duty 2 v1.2 (  )
DefaultDirName={sd}\Games\Call of Duty 2
DefaultGroupName=Call of Duty 2
OutputDir=D:\COD2
OutputBaseFilename=setup
Compression=none
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=730000000
AllowNoIcons=no
UninstallLogMode=overwrite


[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"
                                         
[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\ROOT\Games\Call of Duty 2\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Call of Duty 2"; Filename: "{app}\cod2sp_s.exe"; WorkingDir: "{app}"
Name: "{group}\  Call of Duty 2 ( )"; Filename: "{app}\cod2sp_s.exe"; WorkingDir: "{app}"; Parameters: "+safe"
Name: "{group}\"; Filename: "{app}\Docs\TechHelp\Manual\manual_ru.pdf"; WorkingDir: "{app}\Docs\TechHelp\Manual"
Name: "{group}\ Call of Duty 2"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Call of Duty 2"; Filename: "{app}\cod2sp_s.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\Activision"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; Flags: createvalueifdoesntexist uninsdeletekey

Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "codkey"; ValueData: "7PHZZQ3H63G73AQQ6C34"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "QA"; ValueData: "14.0"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "Language"; ValueData: "rus"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "EXEString"; ValueData: "{app}\cod2sp_s.exe"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "StartMenuFolder"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "Version"; ValueData: "1.2"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "MultiEXEString"; ValueData: "{app}\cod2mp_s.exe"
Root: HKLM; Subkey: "Software\Activision\Call of Duty 2"; ValueType: string; ValueName: "UninstallString"; ValueData: "{uninstallexe}"



