#define ISSI_BackgroundImage "C:\Setup.bmp"
#define ISSI_IncludePath "C:\Program Files\ScriptMaker\Include\ISSI"
#include ISSI_IncludePath+"\_issi.isi"
#define MyAppName "Doom 3 + Resurrection of Evil"
#define MyAppVerName "Doom 3 + Resurrection of Evil  1.3.1302"

[Setup]
AppName={#MyAppName}
AppVerName={#MyAppVerName}
DefaultDirName={sd}\Games\DooM 3
DefaultGroupName=DooM 3
OutputDir=D:\Output
OutputBaseFilename=setup
Compression=zip
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=720000000
AllowNoIcons=yes
SetupIconFile=C:\D3ROE.ico
UninstallFilesDir={app}\Uninstall
UninstallLogMode=overwrite
                                         
[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\DooM 3\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Doom 3"; Filename: "{app}\Loader.exe"; WorkingDir: "{app}"
Name: "{group}\  Doom 3 Resurrection of Evil"; Filename: "{app}\LoaderRoE.exe"; WorkingDir: "{app}"
Name: "{group}\"; Filename: "{app}\Config.doc"; WorkingDir: "{app}"
Name: "{group}\ DooM 3"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Doom 3"; Filename: "{app}\Loader.exe"; Tasks: desktopicon; WorkingDir: "{app}"
Name: "{userdesktop}\Doom 3 Resurrection of Evil"; Filename: "{app}\LoaderRoE.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
;1
Root: HKLM; Subkey: "Software\1C"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\1C\id"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\1C\id\Doom 3"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\1C\id\Doom 3"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\1C\id\Doom 3"; ValueType: string; ValueName: "Version"; ValueData: "1.3"
;ID Software
Root: HKLM; Subkey: "Software\id"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\id\Doom 3"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "CDKEY"; ValueData: "JWJRP2GSWDBHJLLT 3"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "Config"; ValueData: "{app}\Config.doc"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "EXEString"; ValueData: "{app}\Loader.exe"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "GroupDir"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "Language"; ValueData: "eng"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "SPexe"; ValueData: "{app}\Loader.exe"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "Version"; ValueData: "1.3"
Root: HKLM; Subkey: "Software\id\Doom 3"; ValueType: string; ValueName: "Uninstall"; ValueData: "{uninstallexe}"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "CDKEY"; ValueData: "GHSDTA2P7STCAHAP C2"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "CLParam"; ValueData: "+set fs_game d3xp"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "GroupDir"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "Language"; ValueData: "eng"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "SPexe"; ValueData: "{app}\LoaderRoE.exe"
Root: HKLM; Subkey: "Software\id\Doom 3 Resurrection of Evil"; ValueType: string; ValueName: "Version"; ValueData: "1.0"

