[Setup]
AppName=F.E.A.R.
AppVerName=F.E.A.R. v1.08 -   
DefaultDirName={sd}\Games\FEAR
DefaultGroupName=F.E.A.R
OutputDir=D:\F
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Games\FEARXP\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Source: "D:\DIR\*"; DestDir: "{commondocs}\Monolith Productions"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  F.E.A.R."; Filename: "{app}\FEAR.exe"; WorkingDir: "{app}"
Name: "{group}\  "; Filename: "{commondocs}\Monolith Productions"; WorkingDir: "{commondocs}\Monolith Productions"
Name: "{group}\ F.E.A.R."; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\F.E.A.R."; Filename: "{app}\FEAR.exe"; Tasks: desktopicon; WorkingDir: "{app}"
Name: "{app}\Shortcut to User directory"; Filename: "{commondocs}\Monolith Productions"; WorkingDir: "{commondocs}\Monolith Productions"

[Registry]
Root: HKLM; Subkey: "Software\FEAR"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\FEAR"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Filename: "{src}\Redist\WMFADist.exe"; WorkingDir: "{src}\Redist"; Parameters: "/Q"; StatusMsg: " ..."; Flags: waituntilterminated
