[Setup]
AppName=Need for Speed - Underground
AppVerName=Need for Speed - Underground v1.1
DefaultDirName={sd}\Games\NFS - Underground
DefaultGroupName=NFS - Underground
OutputDir=D:\NFS
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
VersionInfoDescription= Need for Speed - Underground
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\NFS Underground\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  NFS - Underground"; Filename: "{app}\speed.exe"; WorkingDir: "{app}"; IconFilename: "{app}\NFSU_icon.ico"
Name: "{group}\ "; Filename: "{app}\3DSetup\3DSetup.exe"; WorkingDir: "{app}\3DSetup";
Name: "{group}\ NFS - Underground"; Filename: "{uninstallexe}"; WorkingDir: "{app}";
Name: "{userdesktop}\NFS - Underground"; Filename: "{app}\speed.exe"; Tasks: desktopicon; WorkingDir: "{app}"; IconFilename: "{app}\NFSU_icon.ico"

[Registry]
Root: HKLM; Subkey: "Software\NFS Underground"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\NFS Underground"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\EA GAMES\Need For Speed Underground"; Flags: uninsdeletekey
